Skip to main content
GET
/
employer_benefits
/
{employer_benefit}
Retrieve an employer benefit
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/employer_benefits/{employer_benefit} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/employer_benefits/{employer_benefit}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/employer_benefits/{employer_benefit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "employer_benefit",
  "data": {
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "business_preset": null,
    "employer_benefit_type": {
      "id": "<id>",
      "object": "employer_benefit_type",
      "data": {
        "type": "health",
        "label": "Health"
      },
      "links": {
        "self": "/employer_benefit_types/health"
      }
    },
    "employee_benefit": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "apply_sales_tax": true,
    "income_basis": "regular_earnings",
    "income_includes": [],
    "remittance_account_id": null,
    "remittance_account": null,
    "amount": 50,
    "amount_type": "fixed",
    "coverage_multiplier": 1,
    "max_annual_contribution": null,
    "max_annual_contribution_basis": "this_benefit",
    "frequency": "per_payroll",
    "date_basis": null,
    "pay_period_cadence": null,
    "effective_from": "2026-01-01",
    "effective_to": null,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/employer_benefits/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employer_benefit
string
required

Query Parameters

expand
enum<string>[]
Available options:
business_preset,
employee_benefit,
expense_accounting_code,
liability_accounting_code,
remittance_account,
tag_assignment,
work_assignment

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("employer_benefit").

data
Default · object